| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Macros
Config.h File Reference
`#include <iso646.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Macros
#define | SOAPY_SDR_HELPER_DLL_IMPORT
#define | SOAPY_SDR_HELPER_DLL_EXPORT
#define | SOAPY_SDR_HELPER_DLL_LOCAL
#define | SOAPY_SDR_DLL
#define | SOAPY_SDR_API SOAPY_SDR_HELPER_DLL_IMPORT
#define | SOAPY_SDR_EXTERN extern
#define | SOAPY_SDR_LOCAL SOAPY_SDR_HELPER_DLL_LOCAL

## Detailed Description

Common macro definitions for Soapy SDR library API export.

Copyright
  Copyright (c) 2014-2014 Josh Blum SPDX-License-Identifier: BSL-1.0

## Macro Definition Documentation

## ◆ SOAPY_SDR_API

#define SOAPY_SDR_API SOAPY_SDR_HELPER_DLL_IMPORT

## ◆ SOAPY_SDR_DLL

#define SOAPY_SDR_DLL

## ◆ SOAPY_SDR_EXTERN

#define SOAPY_SDR_EXTERN extern

## ◆ SOAPY_SDR_HELPER_DLL_EXPORT

#define SOAPY_SDR_HELPER_DLL_EXPORT

## ◆ SOAPY_SDR_HELPER_DLL_IMPORT

#define SOAPY_SDR_HELPER_DLL_IMPORT

## ◆ SOAPY_SDR_HELPER_DLL_LOCAL

#define SOAPY_SDR_HELPER_DLL_LOCAL

## ◆ SOAPY_SDR_LOCAL

#define SOAPY_SDR_LOCAL SOAPY_SDR_HELPER_DLL_LOCAL